#
# spec file for package gnome-terminal (Version 2.28.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-terminal
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  gconf2-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  scrollkeeper
BuildRequires:  startup-notification-devel
BuildRequires:  update-desktop-files
BuildRequires:  vte-devel
License:        GPL v2 or later ; LGPL v2.1 or later
Group:          System/X11/Terminals
Obsoletes:      gnome-core
Version:        2.28.0
Release:        1
Summary:        The GNOME 2.x Desktop Terminal
Source:         %{name}-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Patch0:         gnome-terminal-desktop.patch
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description
This package contains the GNOME 2.x Desktop Terminal program. It is
handy for quick tasks on the command line.



%lang_package
%prep
%setup -q
%patch0 -p1

%build
# autoreconf -f -i
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# Some doc translations are not ported to gnome-doc-utils, so we still have to
# do this. When this won't be needed anymore, we'll be able to remove
# scrollkeeper from BuildRequires.
rm -r $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
%suse_update_desktop_file -G "Command Line Terminal" %name TerminalEmulator
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-terminal
%{_datadir}/applications/gnome-terminal.desktop
%{_datadir}/gnome-terminal

%files lang -f %{name}.lang

%changelog
